import { Location } from '@angular/common';
import { ViewContainerRef, ComponentFactoryResolver } from '@angular/core';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class ApstorydnnNavigationService {
    private componentFactory;
    private location;
    private navSubject;
    private paramSubject;
    private params;
    private prevPage;
    private navStack;
    private componentHolder;
    private componentRef;
    constructor(componentFactory: ComponentFactoryResolver, location: Location);
    setUrl(url: string): void;
    getUrlParam(paramName: string): string;
    clearUrlParams(): void;
    getNavigationEvent(): Observable<any>;
    getParameterEvent(): Observable<any>;
    private setComponent;
    setup(navHolder: ViewContainerRef): void;
    setParam(key: string, value: any): void;
    getParam(key: string): any;
    push(page: any): void;
    canPop(): boolean;
    popTo(screen: any): void;
    popBack(nr: number): void;
    pop(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ApstorydnnNavigationService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ApstorydnnNavigationService>;
}
